/////////////////////////////////////////////////////////////////////////////
// Name:        WxPadFrame.h
// Purpose:     Simple version of a notepad replacement
// Author:      
// Modified by: Biswapesh Chattopadhyay
// Created:     2001 05 11
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef WX_PAD_FRAME_H
#define WX_PAD_FRAME_H

#include "WxPadCommon.h"
#include "WxPad.h"
#include "WxPadTextCtrl.h"

class WxPadFrame : public wxFrame
{
public:
    WxPadFrame(const wxString& title, const wxPoint& pos, const wxSize& size);
    
    // File functions
    void OnNew(wxCommandEvent &event);
    void OnOpen(wxCommandEvent &event);
    void OnSave(wxCommandEvent &event);
    void OnSaveAs(wxCommandEvent &event);
    void OnExit(wxCommandEvent &event);
    void OnCloseWindow(wxCloseEvent &event);
    
    // Edit functions
    void OnCopy(wxCommandEvent &event);
    void OnPaste(wxCommandEvent &event);
    void OnCut(wxCommandEvent &event);
    void OnSelectAll(wxCommandEvent &event);
    void OnUndo(wxCommandEvent &event);
    void OnRedo(wxCommandEvent &event);
    
    // Help functions
    void OnAbout(wxCommandEvent &event);
    
protected:
    void OpenFile();
    void SaveFile(bool isSaveAs = false);
    bool OkToClose();
    WxPadTextCtrl *text;
    wxString fileName;
    DECLARE_EVENT_TABLE()
};
#endif

